Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ant
Class PMDTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sourceforge.pmd.ant.PMDTask

    public class PMDTask

extends org.apache.tools.ant.Task

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`PMDTask()`

Method Summary
`void` | `addFileset(org.apache.tools.ant.types.FileSet set)`
`void` | `addFormatter(Formatter f)`
`void` | `addRuleset(RuleSetWrapper r)`
`org.apache.tools.ant.types.Path` | `createAuxClasspath()`
`org.apache.tools.ant.types.Path` | `createClasspath()`
`void` | `execute()`
`org.apache.tools.ant.types.Path` | `getAuxClasspath()`
`org.apache.tools.ant.types.Path` | `getClasspath()`
`void` | `setAuxClasspath(org.apache.tools.ant.types.Path auxClasspath)`
`void` | `setAuxClasspathRef(org.apache.tools.ant.types.Reference r)`
`void` | `setClasspath(org.apache.tools.ant.types.Path classpath)`
`void` | `setClasspathRef(org.apache.tools.ant.types.Reference r)`
`void` | `setCpus(int cpus)`
`void` | `setEncoding(java.lang.String encoding)`
`void` | `setExcludeMarker(java.lang.String value)`
`void` | `setFailOnError(boolean fail)`
`void` | `setFailOnRuleViolation(boolean fail)`
`void` | `setFailuresPropertyName(java.lang.String failuresPropertyName)`
`void` | `setMaxRuleViolations(int max)`
`void` | `setMinimumPriority(int minPriority)`
`void` | `setRuleSetFiles(java.lang.String ruleSetFiles)`
`void` | `setShortFilenames(boolean value)`
`void` | `setTargetJDK(java.lang.String value)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PMDTask

    public PMDTask()

Method Detail

### setShortFilenames

    public void setShortFilenames(boolean value)

### setTargetJDK

    public void setTargetJDK(java.lang.String value)

### setExcludeMarker

    public void setExcludeMarker(java.lang.String value)

### setFailOnError

    public void setFailOnError(boolean fail)

### setFailOnRuleViolation

    public void setFailOnRuleViolation(boolean fail)

### setMaxRuleViolations

    public void setMaxRuleViolations(int max)

### setRuleSetFiles

    public void setRuleSetFiles(java.lang.String ruleSetFiles)

### setEncoding

    public void setEncoding(java.lang.String encoding)

### setCpus

    public void setCpus(int cpus)

### setFailuresPropertyName

    public void setFailuresPropertyName(java.lang.String failuresPropertyName)

### setMinimumPriority

    public void setMinimumPriority(int minPriority)

### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet set)

### addFormatter

    public void addFormatter(Formatter f)

### setClasspath

    public void setClasspath(org.apache.tools.ant.types.Path classpath)

### getClasspath

    public org.apache.tools.ant.types.Path getClasspath()

### createClasspath

    public org.apache.tools.ant.types.Path createClasspath()

### setClasspathRef

    public void setClasspathRef(org.apache.tools.ant.types.Reference r)

### setAuxClasspath

    public void setAuxClasspath(org.apache.tools.ant.types.Path auxClasspath)

### getAuxClasspath

    public org.apache.tools.ant.types.Path getAuxClasspath()

### createAuxClasspath

    public org.apache.tools.ant.types.Path createAuxClasspath()

### setAuxClasspathRef

    public void setAuxClasspathRef(org.apache.tools.ant.types.Reference r)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

### addRuleset

    public void addRuleset(RuleSetWrapper r)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.